DomDegRatioVariableOrdering
Keywords: yacs.solver.fdsolver.search.DomDegRatioVariableOrdering class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.solver.fdsolver.search
Class DomDegRatioVariableOrdering

    java.lang.Object
      yacs.solver.fdsolver.search.DomDegRatioVariableOrdering

public class DomDegRatioVariableOrdering
extends java.lang.Object

Generiert auf Basis des "Fail-First"-Prinzips (FF) und der "Maximum-Degree-Ordering"-Heuristik (MDO) eine Reihenfolge für die Belegung von Variablen während einer Lösungssuche (vgl. Bessière und Régin 1996). Das Prinzip dieser Heuristik ist, dass Variablen, deren Verhältnis von Größe des Wertebereichs (`dom`) zum Vernetzungsgrad (`deg`) innerhalb des Constraint-Problems am geringsten ist, zuerst mit einem Wert belegt werden (`dom/deg`).

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`DomDegRatioVariableOrdering()`

Method Summary
`java.util.List` | `getOrdering(ConstraintNet constraintNet)` Generiert eine `dom/deg`-Ordnung für die Variablen des übergebenen Constraint-Netzes.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomDegRatioVariableOrdering

    public DomDegRatioVariableOrdering()

Method Detail

### getOrdering

    public java.util.List getOrdering(ConstraintNet constraintNet)

  Generiert eine `dom/deg`-Ordnung für die Variablen des übergebenen Constraint-Netzes. Liefert eine entsprechend geordnete Liste mit Variablennamen (`Strings`)

  Parameters:
    `constraintNet` - ConstraintNet
  Returns:
    List

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD